#include "TiTestDialog.h"

TiTestDialog::TiTestDialog( TiWindow* pParent, TiUI* pUI ) :
TiDialog( pParent, pUI ),
mDown(-1)
{
}

TiTestDialog::~TiTestDialog(void)
{
}

bool TiTestDialog::ProcessButtonDown( int32 DeviceId, int32 ButtonId )
{
  mDown = ButtonId;
  return true;
}

bool TiTestDialog::ProcessButtonUp( int32 DeviceId, int32 ButtonId )
{
  if ( ButtonId == mDown )
  {
    EndModal(ButtonId);
  }
  mDown = -1;
  return true;
}
